package javax.tools;

import javax.lang.model.element.Modifier;
import javax.lang.model.element.NestingKind;

public class ForwardingJavaFileObject<F extends JavaFileObject> extends ForwardingFileObject<F> implements JavaFileObject
{
    protected ForwardingJavaFileObject(F n) {
        super(n);
    }
    
    @Override
    public JavaFileObject.Kind getKind() {
        return ((F)this.fileObject).getKind();
    }
    
    @Override
    public boolean isNameCompatible(String s, JavaFileObject.Kind kind) {
        return ((F)this.fileObject).isNameCompatible(s, kind);
    }
    
    @Override
    public NestingKind getNestingKind() {
        return ((F)this.fileObject).getNestingKind();
    }
    
    @Override
    public Modifier getAccessLevel() {
        return ((F)this.fileObject).getAccessLevel();
    }
}
